"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
exports.default = {
  meta: utils_1.getRuleMetaData(
    "no-null-ternary",
    "forbid ternary conditional operators where one side is null",
    "code"
  ),
  create: (context) => ({
    ":matches(JSXElement, JSXFragment) ConditionalExpression[alternate.type='Literal'][alternate.value=null]":
      (node) =>
        context.report({
          node,
          message:
            "unnecessary ternary conditional, use {condition} && {consequent} instead",
        }),
    ":matches(JSXElement, JSXFragment) ConditionalExpression[consequent.type='Literal'][consequent.value=null]":
      (node) =>
        context.report({
          node,
          message:
            "unnecessary ternary conditional, use !{condition} && {consequent} instead",
        }),
  }),
};
